## Name

atan — return the arc-tangent of the parameters

## Declaration

`genType atan(` | genType y,
| genType x`)`;

`genType atan(` | genType y_over_x`)`;

## Parameters

`y`

  Specify the numerator of the fraction whose arctangent to return.

`x`

  Specify the denominator of the fraction whose arctangent to return.

`y_over_x`

  Specify the fraction whose arctangent to return.

## Description

`atan` returns either the angle whose trigonometric arctangent is $y \over x$ or `y_over_x`, depending on which overload is invoked. In the first overload, the signs of $y$ and $x$ are used to determine the quadrant that the angle lies in. The value returned by `atan` in this case is in the range $[-\pi,\pi]$. The result is undefined if $x = 0$.

For the second overload, `atan` returns the angle whose tangent is `y_over_x`. The value returned in this case is in the range $[-{\pi \over 2 },{\pi \over 2}]$.

## Version Support

| OpenGL Shading Language Version
--- | ---
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
atan | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

## See Also

sin, cos, tan

## Copyright

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.